Bug 1743266 - Fatal error Couldn't find Service with id for DRO button
Summary: Fatal error Couldn't find Service with id for DRO button
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.9.9
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: GA
: 5.10.9
Assignee: Patrik Kománek
QA Contact: John Dupuy
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On: 1729341
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-19 13:50 UTC by Satoe Imaishi
Modified: 2019-10-30 18:56 UTC (History)
11 users (show)

Fixed In Version: 5.10.9.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1729341
Environment:
Last Closed: 2019-09-05 05:25:21 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2587 None None None 2019-09-05 05:25:29 UTC

Comment 2 CFME Bot 2019-08-19 13:57:16 UTC
New commit detected on ManageIQ/manageiq-ui-classic/hammer:

https://github.com/ManageIQ/manageiq-ui-classic/commit/b66edb37accff6e598b054fe479da891ad1f9e8e
commit b66edb37accff6e598b054fe479da891ad1f9e8e
Author:     Martin Hradil <mhradil@redhat.com>
AuthorDate: Mon Aug 19 09:25:27 2019 -0400
Commit:     Martin Hradil <mhradil@redhat.com>
CommitDate: Mon Aug 19 09:25:27 2019 -0400

    Merge pull request #6052 from h-kataria/fix_api_endpoint_for_go_custom_buttons

    Fixed API endpoint for GO object custom button dialogs.

    (cherry picked from commit f817e80391785e5fb3f050576e9b4246909d6398)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1743266

 app/controllers/service_controller.rb | 3 +-
 app/services/dialog_local_service.rb | 5 +-
 2 files changed, 5 insertions(+), 3 deletions(-)

Comment 4 John Dupuy 2019-08-22 15:41:58 UTC
Verified in CFME 5.10.9, after hitting submit on the button we stay on the generic object page with URL:

 https://<ip>/service/show/1?display=generic_objects&generic_object_id=3#/

Thanks for the detailed reproduction steps!

Comment 6 errata-xmlrpc 2019-09-05 05:25:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:2587


Note You need to log in before you can comment on or make changes to this bug.